/**********************************************
 * ImagePopup                                 *
 * ------------------------------------------ *
 * ffnet Bilder in einem zentrierten Popup.  *
 * Wird das Bild nicht gefunden wird ein      *
 * Alert darber informieren,auch bei         *
 * Popupblockern gibt es einen Hinweis.       *
 * Ebenso wird das  Bild vorgeladen  um die   *                      
 * Hhe und Breite des Orginals auszulesen.   *             
 * bei onClick auf Popupbild schliet es sich *
 * wieder.                                    *
 * ------------------------------------------ *
 * Parameter:                                 *
 * imageURL: Pfad zum Bild                    *
 * ------------------------------------------ *
 * Author: Jean-Pascal Hvel                  *
 * Email : JeanPascal@Hotmail.de              *
 **********************************************/
function imagePopup(imageURL){
	imagePopup.isError = false;
	
	imagePopup.imageObj 		= new Image();
	imagePopup.imageObj.src 	= imageURL;
	imagePopup.imageObj.onerror = function(){ imagePopup.isError = true; }
	
	imagePopup.popup = null;
	
	imagePopup.display = function(){
		var x = (screen.width  / 2)  - (imagePopup.imageObj.width  / 2);
		var y = (screen.height / 2)  - (imagePopup.imageObj.height / 2);
		imagePopup.popup = window.open("", "imagePopup", "resizable=no,sollbars=no,status=no,left=" + x + ",top=" + y + ",height=" + imagePopup.imageObj.height + ",width=" + imagePopup.imageObj.width);
		if(!imagePopup.popup){
			alert("Um den Bildlink ffnen zu knnen, mssen Sie Popups fr diese Domain erlauben.");
		}
		else {
			imagePopup.popup.document.open();
			imagePopup.popup.document.write("<html><head><title>Bildanzeige</title></head><body style=\"margin: 0px; padding: 0px;\"><img /></body></html>");
			imagePopup.popup.document.close();
			imagePopup.popup.document.images[0].src 	 = imagePopup.imageObj.src;
			imagePopup.popup.document.images[0].onclick = function(){ imagePopup.popup.close(); }
			imagePopup.popup.focus();
		}
	}
	
	imagePopup.checkImage = function(){
		if(!imagePopup.imageObj.complete){
			if(imagePopup.isError){
				alert("Das angeforderte Bild konnte nicht geladen werden");
			}
			else setTimeout("imagePopup.checkImage();", 500);
		}
		else {
			if(imagePopup.isError){
				alert("Das angeforderte Bild konnte nicht geladen werden");
			}
			else imagePopup.display();
		}
	}
	
	imagePopup.checkImage();
}